(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



\[Mu]=1020;\[Sigma]=150;


cc=0;ic=0;


wle=670;


DrawNormalArea[\[Mu]_,\[Sigma]_,a_]:=Module[{ndist,p1,p2,l,h,p,q1,q2},
l=\[Mu]-3.5 \[Sigma];
h=\[Mu]+3.5 \[Sigma];
ndist=NormalDistribution[\[Mu],\[Sigma]];
p1=Plot[PDF[ndist,x],{x,l,a},Filling->Axis,PlotStyle->{Thick,Red}];
p2=Plot[PDF[ndist,x],{x,a,h},PlotStyle->{Thick,Red}];
p=CDF[ndist,a]//N;
q1={a,0};q2={a,PDF[ndist,a]};
Show[p1,p2,Graphics[Line[{q1,q2}]],PlotLabel->Style["H = "<>ToString[a]<>"   Area = "<>ToString[p],Directive[FontSize->16]],LabelStyle->Directive[FontSize->14],PlotRange->All,AxesOrigin->{\[Mu]-3.5\[Sigma],0},ImageSize->Large]
]


PresentWelcome[]:=Module[{m,f},
f={FontSize->18,FontColor->Blue};
m="Welcome.  Use the Normal Distribution Manipulative at the left to help answer the questions that follow.  You can move the slider to see different area values.  Hit OK to see the first question.";
CreateDialog[{TextCell[m,f],DefaultButton[AskQuestionOne[]]},WindowSize->{500,160},WindowMargins->{{wle,Automatic},{Automatic,150}},WindowFloating->True];
]


AskQuestionOne[]:=Module[{f},
x=0;f=FontSize->18;
DialogReturn[];
CreateDialog[Grid[{{TextCell[" "],TextCell["What percentage of SAT scores fall between\n 1020 and 1300?\n",f]},{RadioButton[Dynamic[x],1],TextCell["280%\n",f]},{RadioButton[Dynamic[x],2],TextCell["96.9%\n",f]},
{RadioButton[Dynamic[x],3],TextCell["46.9%\n",f]},
{RadioButton[Dynamic[x],4],TextCell["0.25%\n",f]},{TextCell["  "],DefaultButton[ProcessResponseOne[x]]}}, Alignment-> Left],WindowSize->{500,340},WindowMargins->{{wle,Automatic},{Automatic,150}},
WindowTitle->"Question One",WindowFloating->True];
];


ProcessResponseOne[x_]:=Module[{m,t,f},
DialogReturn[];
f=FontSize->18;
t=False;
m = "Please select an answer";
If[x==1,m="Incorrect. Remember that probability is never greater than 100%"];
If[x==2, m="Incorrect.  Remember, the area below 1020 should not  be included."];
If[x==3,m="Correct. The probability is equal to the area under the curve up to 1300 minus the area under the curve up to 1020, i.e. 0.969 - 0.500 = 0.469";t=True;];
If[x==4,m="Incorrect.  Remember that probability is related to the area under the curve not the height."];
If[!t,++ic;
EmitSound[Sound[SoundNote["CFlat",0.5,"ElectricGuitar"]]];
m=m<>"\n\nReturn to the question?";
CreateDialog[{TextCell[m,f],DefaultButton[AskQuestionOne[]]},WindowSize->{500,160},
WindowMargins->{{wle,Automatic},{300,Automatic}},WindowFloating->True];
,
++cc;
EmitSound[Sound[SoundNote["F",0.3,"Crystal"]]];
CreateDialog[{TextCell[m,f],DefaultButton[AskQuestionTwo[]]},WindowSize->{500,140},
WindowMargins->{{wle,Automatic},{Automatic,150}},WindowFloating->True];
];
]


AskQuestionTwo[]:=
Module[{f},
x=0;
f=FontSize->18;
DialogReturn[];
CreateDialog[Grid[{{TextCell[" "],TextCell["What is the probability that a randomly selected student will have a score less than 900 or greater than 1300?\n",f]},{RadioButton[Dynamic[x],1],TextCell[".7572\n",f]},
{RadioButton[Dynamic[x],2],TextCell[".2428\n",f]},
{RadioButton[Dynamic[x],3],TextCell[".2118\n",f]},
{RadioButton[Dynamic[x],4],TextCell[".0310\n",f]},
{TextCell["  "],DefaultButton[ProcessResponseTwo[x]]}},Alignment-> Left],
WindowSize->{500,350},WindowMargins->{{wle,Automatic},{Automatic,150}},
WindowTitle->"Question Two",WindowFloating->True];
];


ProcessResponseTwo[x_]:=Module[{m,t,f},
DialogReturn[];
t=False;
f=FontSize->18;
m = "Please select an answer";
If[x==1,m="Incorrect.  Remember this probability does not include the area between 900 and 1300."];
If[x==2,m="Correct.  This probability is the sum of the area below 900 and the area above 1300, i.e. 0.212 + (1 - 0.969) = 0.242";t=True;];
If[x==3, m="Incorrect.  Remember this probability includes two seperate regions."];
If[x==4,m="Incorrect.  Remember this probability includes the area below 900."];
If[!t,++ic;
EmitSound[Sound[SoundNote["CFlat",0.5,"ElectricGuitar"]]];
CreateDialog[{TextCell[m,f],DefaultButton[AskQuestionTwo[]]},WindowSize->{500,100},
WindowMargins->{{wle,Automatic},{Automatic,150}},WindowFloating->True];
,
++cc;
EmitSound[Sound[SoundNote["F",0.3,"Crystal"]]];
CreateDialog[{TextCell[m,f],DefaultButton[AskQuestionThree[]]},WindowSize->{500,120},
WindowMargins->{{wle,Automatic},{Automatic,150}},WindowFloating->True];
];
];


AskQuestionThree[]:=
Module[{f},
x=0;
f=FontSize->18;
DialogReturn[];
CreateDialog[Grid[{{TextCell[" "],TextCell["About what percent of SAT Scores fall between z = -1.2 and z = 2.6?\n",f]},{RadioButton[Dynamic[x],1],TextCell["0.0%\n",f]},{RadioButton[Dynamic[x],2],TextCell["11.5%\n",f]},{RadioButton[Dynamic[x],3],TextCell["88.0%\n",f]},{RadioButton[Dynamic[x],4],TextCell["99.5%\n",f]},{TextCell["  "],DefaultButton[ProcessResponseThree[x]]}}, Alignment-> Left],
WindowSize->{400,350},WindowMargins->{{wle,Automatic},{Automatic,150}},WindowTitle->"Question Three",WindowFloating->True];
];


ProcessResponseThree[x_]:=Module[{m,t,f},
DialogReturn[];
t=False;
f=FontSize->18;
m = "Please select an answer";
If[x==1,m="Incorrect.  Remember the formula:  z = (x - \[Mu])/\[Sigma].\n"];
If[x==2, m="Incorrect.  Remember this probability is the area between the limits."];
If[x==3,m="Correct. This is the area between 840 and 1410.";t=True;];
If[x==4,m="Incorrect.  Remember the to subtract the area below 840.\n"];
If[!t,++ic;
EmitSound[Sound[SoundNote["CFlat",0.5,"ElectricGuitar"]]];
CreateDialog[{TextCell[m,f],DefaultButton[AskQuestionThree[]]},
WindowSize->{500,100},WindowMargins->{{wle,Automatic},{Automatic,140}},WindowFloating->True];
,
++cc;
EmitSound[Sound[SoundNote["F",0.3,"Crystal"]]];
CreateDialog[{TextCell[m,f],DefaultButton[SummarizeResults[]]},
WindowSize->{500,80},WindowMargins->{{wle,Automatic},{Automatic,120}},WindowFloating->True];
];
];


SummarizeResults[]:=Module[{f,m},
DialogReturn[];
f=FontSize->18;
m = "You gave "<>ToString[cc]<>" correct answers and "<>ToString[ic]<>" incorrect answers";
CreateDialog[{TextCell[m,f],DefaultButton[DialogReturn[]]},
WindowSize->All,WindowMargins->{{wle,Automatic},{Automatic,120}},WindowFloating->True];
];



